Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Transaction..::.Priority Property
Transaction Class See Also Send Feedback

The deadlock priority for this transaction. The deadlock detector will reject lock requests from lower priority transactions before those from higher priority transactions.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public uint Priority { get; set; }

Visual Basic (Declaration)
    Public Property Priority As UInteger

Visual C++
    public:
    property unsigned int Priority {
    	unsigned int get ();
    	void set (unsigned int value);
    }

# See Also

Transaction Class
BerkeleyDB Namespace